Subject: Embedded Event Descriptor

From: Albert Frankovich <[email-masked]>
Date: Thu, 10 May 2001 14:05:42 -0500

Hello,

Case #1.
MGC sets up an embedded event descriptor in the NULL context
to issue dial tone, report on-hook/off-hook and collect digits.
Now the subscriber goes off-hook followed immediately by an on-hook.
The termination is  in the NULL context.

Question:  Will the original event descriptors that were setup by the
MGC still be in effect or does the MGC still have to rearm the MG
with the embedded event?

Case #2.
This question is related to Case #1.
MG has collected digits and reported them to the MGC.
The termination is not in the NULL context.
Now the subscriber goes on-hook followed immediately by an off-hook
within the Suspend/Resume time.

Question:  Will the Subscriber hear dial tone from the original embedded

event or will it no longer be active?

Thanks
Al

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Thu, 10 May 2001 15:36:19 -0400

Hi Al,
Comments below [Madhu]

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Albert
Frankovich
Sent: Thursday, May 10, 2001 3:06 PM
To: [email-masked]
Subject: Embedded Event Descriptor

Hello,

Case #1.

Question:  Will the original event descriptors that were setup by the
MGC still be in effect or does the MGC still have to rearm the MG
with the embedded event?
[Madhu] The embedded descriptor will be active until another event
descriptor is sent by the MGC. In you example if the embedded descriptor has
al/of, al/on and dd/ce {with some digit map name}. This event descriptor
will be active till another is sent. Hence if users goes offhook after
onhook, then also the offhook gets reported.
"The theory is that the event descriptor will be active even after reporting
events that are present in it".

Case #2.

Question:  Will the Subscriber hear dial tone from the original embedded
event or will it no longer be active?
[Madhu] The event reporting mechanism doesn't depend whether the Termination
is in Null context or active context. Its is solely based on the event
descriptor. If the event descriptor is same as the in case#1, the user will
not hear dial tone if he/she goes offhook immediately after onhook.

Thanks
Al

Regards
Madhubabu

---

From: Chuong Nguyen <[email-masked]>
Date: Thu, 10 May 2001 15:37:28 -0500

Well, there is a lot more here than meets the eye.
Lets set aside how this transaction is formed in the first place and the race
condition issue
involved w/something like.

Questions inserted below:

> within the Suspend/Resume time.

<cnn>  Does "within the Suspend/Resume time" mean that the call is not being
released?
               Thus termination should not be subtracted from the context.

               Is the question really - if termination is not Subtracted from
the context,
               shouldn't the event descriptor still be valid?

              Or is the question about whether an event has to be rearmed once
MG has
              detected the event?  That is does MGC have to tell MG to detect
eventA again
              if MG notified MGC that eventA has been detected?

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****